## com.bbn.openmap.dataAccess.cgm
Class Command

    java.lang.Object
      com.bbn.openmap.dataAccess.cgm.Command

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  BeginMetafile, BeginPicture, BeginPictureBody, CharacterHeight, CircleElement, CircularArcClosedElement, CircularArcElement, ColorCommand, ColorSelectionMode, EdgeType, EdgeVisibility, EdgeWidth, EdgeWidthMode, EllipseElement, EllipticalArcClosedElement, EllipticalArcElement, EndMetafile, EndPicture, FontList, InteriorStyle, LineType, LineWidth, LineWidthMode, MetafileDescription, MetafileElementList, MetafileVersion, PolygonElement, PolylineElement, RectangleElement, TextElement, TextFontIndex, VDCExtent

public class Command
extends java.lang.Object
implements java.lang.Cloneable

Constructor Summary
`Command(int ec, int eid, int l, java.io.DataInputStream in)`

Method Summary
`java.lang.Object` `clone()`
`int` `makeInt(int i)`
`java.lang.String` `makeString()`
`java.lang.String` `makeString(int k)`
`void` `paint(CGMDisplay d)`
`static Command` `read(java.io.DataInputStream in)`
`int` `read16(java.io.DataInputStream in)`
`void` `scale(CGMDisplay d)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Command

    public Command(int ec,
                   int eid,
                   int l,
                   java.io.DataInputStream in)
            throws java.io.IOException

Method Detail

### read16

    public int read16(java.io.DataInputStream in)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

### makeString

    public java.lang.String makeString()

### makeString

    public java.lang.String makeString(int k)

### makeInt

    public int makeInt(int i)

### paint

    public void paint(CGMDisplay d)

### scale

    public void scale(CGMDisplay d)

### read

    public static Command read(java.io.DataInputStream in)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### clone

    public java.lang.Object clone()

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details